Viewing docs for Oracle Cloud Infrastructure v5.8.0
published on Thursday, Nov 19, 2026 by Pulumi
published on Thursday, Nov 19, 2026 by Pulumi
Viewing docs for Oracle Cloud Infrastructure v5.8.0
published on Thursday, Nov 19, 2026 by Pulumi
published on Thursday, Nov 19, 2026 by Pulumi
This data source provides details about a specific Connection resource in Oracle Cloud Infrastructure Golden Gate service.
Retrieves a Connection.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testConnection = oci.goldengate.getConnection({
connectionId: testConnectionOciGoldenGateConnection.id,
view: connectionView,
});
import pulumi
import pulumi_oci as oci
test_connection = oci.goldengate.get_connection(connection_id=test_connection_oci_golden_gate_connection["id"],
view=connection_view)
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/goldengate"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := goldengate.GetConnection(ctx, &goldengate.GetConnectionArgs{
ConnectionId: testConnectionOciGoldenGateConnection.Id,
View: connectionView,
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testConnection = Oci.GoldenGate.GetConnection.Invoke(new()
{
ConnectionId = testConnectionOciGoldenGateConnection.Id,
View = connectionView,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.GoldenGate.GoldenGateFunctions;
import com.pulumi.oci.GoldenGate.inputs.GetConnectionArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var testConnection = GoldenGateFunctions.getConnection(GetConnectionArgs.builder()
.connectionId(testConnectionOciGoldenGateConnection.get("id"))
.view(connectionView)
.build());
}
}
variables:
testConnection:
fn::invoke:
function: oci:GoldenGate:getConnection
arguments:
connectionId: ${testConnectionOciGoldenGateConnection.id}
view: ${connectionView}
terraform {
required_providers {
oci = {
source = "pulumi/oci"
}
}
}
data "oci_golden_gate_connection" "testConnection" {
connection_id = testConnectionOciGoldenGateConnection.id
view = connectionView
}
Using getConnection
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getConnection(args: GetConnectionArgs, opts?: InvokeOptions): Promise<GetConnectionResult>
function getConnectionOutput(args: GetConnectionOutputArgs, opts?: InvokeOutputOptions): Output<GetConnectionResult>def get_connection(connection_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetConnectionResult
def get_connection_output(connection_id: pulumi.Input[Optional[str]] = None,
opts: Optional[InvokeOutputOptions] = None) -> Output[GetConnectionResult]func LookupConnection(ctx *Context, args *LookupConnectionArgs, opts ...InvokeOption) (*LookupConnectionResult, error)
func LookupConnectionOutput(ctx *Context, args *LookupConnectionOutputArgs, opts ...InvokeOption) LookupConnectionResultOutput> Note: This function is named LookupConnection in the Go SDK.
public static class GetConnection
{
public static Task<GetConnectionResult> InvokeAsync(GetConnectionArgs args, InvokeOptions? opts = null)
public static Output<GetConnectionResult> Invoke(GetConnectionInvokeArgs args, InvokeOptions? opts = null)
public static Output<GetConnectionResult> Invoke(GetConnectionInvokeArgs args, InvokeOutputOptions opts)
}public static CompletableFuture<GetConnectionResult> getConnection(GetConnectionArgs args, InvokeOptions options)
public static Output<GetConnectionResult> getConnection(GetConnectionArgs args, InvokeOptions options)
public static Output<GetConnectionResult> getConnection(GetConnectionArgs args, InvokeOutputOptions options)
fn::invoke:
function: oci:GoldenGate/getConnection:getConnection
arguments:
# arguments dictionarydata "oci_golden_gate_get_connection" "name" {
# arguments
}The following arguments are supported:
- Connection
Id string - The OCID of a Connection.
- Connection
Id string - The OCID of a Connection.
- connection_
id string - The OCID of a Connection.
- connection
Id String - The OCID of a Connection.
- connection
Id string - The OCID of a Connection.
- connection_
id str - The OCID of a Connection.
- connection
Id String - The OCID of a Connection.
getConnection Result
The following output properties are available:
- Access
Key stringId - Access Key ID from the Oracle Cloud Infrastructure IAM user's Customer Secret Key pair used to authenticate to Oracle Cloud Infrastructure Object Storage via the S3 Compatibility API.
- Account
Key string - Account
Key stringSecret Id - The OCID of the Secret where the account key is stored.
- Account
Name string - Sets the Azure storage account name.
- Additional
Attributes List<GetConnection Additional Attribute> - An array of name-value pair attribute entries. Used as additional parameters in connection string.
- Artifact
Locations List<GetConnection Artifact Location> - Location used to share engine application artifacts.
- DATABRICKS_ENGINE: Location used to share Databricks application artifacts.
- SPARK: Location used to share Spark application artifacts with a remote cluster.
- Auth
Details List<GetConnection Auth Detail> - Authentication details for an AI Model or AI Provider connection.
- Auth
Secret string - Auth
Secret stringSecret Id - The OCID of the Secret that stores the Spark authentication shared secret. Applicable when authenticationType is SHARED_SECRET. Note: When provided, 'authSecret' field must not be provided.
- Auth
Token string - Auth
Token stringSecret Id - The OCID of the Secret where the personal access token is stored. Only applicable for authenticationType == PERSONAL_ACCESS_TOKEN. Note: When provided, 'authToken' field must not be provided.
- Authentication
Mode string - Authentication mode. It can be provided at creation of Oracle Autonomous Database Serverless connections, when a databaseId is provided. The default value is MTLS.
- Authentication
Type string - Authentication mechanism; supported values depend on
connectionType.- DATABRICKS: Use PERSONAL_ACCESS_TOKEN or OAUTH_M2M.
- DATABRICKS_ENGINE: Use PERSONAL_ACCESS_TOKEN or OAUTH_M2M for the Databricks Engine REST API.
- JAVA_MESSAGE_SERVICE: Authentication type for Java Message Service. The default is NONE.
- SPARK: Use SHARED_SECRET only when the target cluster has
spark.authenticate=true. AES_RPC and SASL_ENCRYPTED require SHARED_SECRET. - AZURE_DATA_LAKE_STORAGE, ELASTICSEARCH, KAFKA_SCHEMA_REGISTRY, REDIS, SNOWFLAKE: Authentication type supported by the target service.
- string
- The endpoint used for authentication with Microsoft Entra ID (formerly Azure Active Directory). Default value: https://login.microsoftonline.com When connecting to a non-public Azure Cloud, the endpoint must be provided, eg:
- Azure China: https://login.chinacloudapi.cn/
- Azure US Government: https://login.microsoftonline.us/
- Azure
Tenant stringId - Azure tenant ID of the application. This property is required when 'authenticationType' is set to 'AZURE_ACTIVE_DIRECTORY'. e.g.: 14593954-d337-4a61-a364-9f758c64f97f
- Bootstrap
Servers List<GetConnection Bootstrap Server> - Kafka bootstrap. Equivalent of bootstrap.servers configuration property in Kafka: list of KafkaBootstrapServer objects specified by host/port. Used for establishing the initial connection to the Kafka cluster. Example:
"server1.example.com:9092,server2.example.com:9092" - Catalogs
List<Get
Connection Catalog> - Represents the catalog of given type used in an Iceberg connection.
- Client
Id string - AZURE_DATA_LAKE_STORAGE: Azure client ID of the application. This property is required when 'authenticationType' is set to 'AZURE_ACTIVE_DIRECTORY'. e.g.: 06ecaabf-8b80-4ec8-a0ec-20cbf463703d
- DATABRICKS, DATABRICKS_ENGINE: OAuth client ID, applicable to OAUTH_M2M authentication.
- MICROSOFT_FABRIC: Azure client ID of the application. e.g.: 06ecaabf-8b80-4ec8-a0ec-20cbf463703d
- Client
Secret string - Client
Secret stringSecret Id - AZURE_DATA_LAKE_STORAGE: The OCID of the Secret where the client secret is stored.
- DATABRICKS, DATABRICKS_ENGINE: The OCID of the Secret where the client secret is stored. Applicable to OAUTH_M2M authentication.
- MICROSOFT_FABRIC: The OCID of the Secret where the client secret is stored. Note: When provided, 'clientSecret' field must not be provided.
- Cluster
Endpoint string - Spark master URL used for job submission. Required for both SUBMIT and REST submit modes. e.g.:
spark://spark-master.example.com:7077. High availability can be configured with a comma-separated list, for examplespark://h1.example.com:7077,h2.example.com:7077. - Cluster
Id string - The OCID of the Kafka cluster being referenced from Oracle Cloud Infrastructure Streaming with Apache Kafka.
- Cluster
Placement stringGroup Id - The OCID(https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the cluster placement group for the resource. Only applicable for multicloud subscriptions. The cluster placement group id must be provided when a multicloud subscription id is provided. Otherwise the cluster placement group must not be provided.
- Compartment
Id string - The OCID of the compartment being referenced.
- Connection
Factory string - The of Java class implementing javax.jms.ConnectionFactory interface supplied by the Java Message Service provider. e.g.: 'com.stc.jmsjca.core.JConnectionFactoryXA'
- Connection
Id string - Connection
String string - ORACLE: Connect descriptor or Easy Connect Naming method used to connect to a database.
- MONGODB: MongoDB connection string. e.g.: 'mongodb://mongodb0.example.com:27017/recordsrecords'
- AZURE_SYNAPSE_ANALYTICS: JDBC connection string. e.g.: 'jdbc:sqlserver://.sql.azuresynapse.net:1433;database=;encrypt=true;trustServerCertificate=false;hostNameInCertificate=*.sql.azuresynapse.net;loginTimeout=300;'
- Connection
Type string - The connection type.
- Connection
Url string - JAVA_MESSAGE_SERVICE: Connection URL of the Java Message Service, specifying the protocol, host, and port. e.g.: 'mq://myjms.host.domain:7676'
- SNOWFLAKE: JDBC connection URL. e.g.: 'jdbc:snowflake://<account_name>.snowflakecomputing.com/?warehouse=&db='
- AMAZON_REDSHIFT: Connection URL. e.g.: 'jdbc:redshift://aws-redshift-instance.aaaaaaaaaaaa.us-east-2.redshift.amazonaws.com:5439/mydb'
- DATABRICKS: Connection URL. e.g.: 'jdbc:databricks://adb-33934.4.azuredatabricks.net:443/default;transportMode=http;ssl=1;httpPath=sql/protocolv1/o/3393########44/0##3-7-hlrb'
- ORACLE_AI_DATA_PLATFORM: Connection URL. It must start with 'jdbc:spark://'
- Consumer
Properties string - The base64 encoded content of the consumer.properties file.
- Core
Site stringXml - The base64 encoded content of the Hadoop Distributed File System configuration file (core-site.xml). It is not included in GET responses if the
view=COMPACTquery parameter is specified. - Database
Id string - The OCID of the database being referenced.
- Database
Name string - The name of the database.
- Db
System stringId - The OCID of the database system being referenced.
- Dictionary<string, string>
- Tags defined for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - Deployment
Id string - The OCID of the deployment being referenced.
- Description string
- Metadata about this specific object.
- Display
Name string - An object's Display Name.
- Does
Use boolSecret Ids - Indicates that sensitive attributes are provided via Secrets.
- Endpoint string
- Oracle Cloud Infrastructure Object Storage S3 Compatibility API endpoint URL. Format: "https://.compat.objectstorage.." Example: "https://mynamespace.compat.objectstorage.us-ashburn-1.oraclecloud.com"
- Fingerprint string
- Fingerprint required by TLS security protocol. Eg.: '6152b2dfbff200f973c5074a5b91d06ab3b472c07c09a1ea57bb7fd406cdce9c'
- Dictionary<string, string>
- A simple key-value pair that is applied without any predefined name, type, or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - Host string
- The name or address of a host.
In case of Generic connection type it represents the Host and port separated by colon. Example:
"server.example.com:1234"For multiple hosts, provide a comma separated list. Example:"server1.example.com:1000,server1.example.com:2000" - Id string
- The OCID of the connection being referenced.
- Ingress
Ips List<GetConnection Ingress Ip> - List of ingress IP addresses from where the GoldenGate deployment connects to this connection's privateIp. Customers may optionally set up ingress security rules to restrict traffic from these IP addresses.
- Is
Lock boolOverride - Jndi
Connection stringFactory - The Connection Factory can be looked up using this name. e.g.: 'ConnectionFactory'
- Jndi
Initial stringContext Factory - The implementation of javax.naming.spi.InitialContextFactory interface that the client uses to obtain initial naming context. e.g.: 'org.apache.activemq.jndi.ActiveMQInitialContextFactory'
- Jndi
Provider stringUrl - The URL that Java Message Service will use to contact the JNDI provider. e.g.: 'tcp://myjms.host.domain:61616?jms.prefetchPolicy.all=1000'
- Jndi
Security stringCredentials - Jndi
Security stringCredentials Secret Id - The OCID of the Secret where the security credentials are stored associated to the principal. Note: When provided, 'jndiSecurityCredentials' field must not be provided.
- Jndi
Security stringPrincipal - Specifies the identity of the principal (user) to be authenticated. e.g.: 'admin2'
- Key
Id string - References the Oracle Cloud Infrastructure Vault key in the Oracle Cloud Infrastructure Vault identified by
vaultId. - Key
Store string - Key
Store stringPassword - Key
Store stringPassword Secret Id - Secret OCID containing the key store password.
- SPARK: Applicable when
securityProtocolis TLS and a client key store is provided. Required whenkeyStoreSecretIdis provided. - JAVA_MESSAGE_SERVICE, KAFKA, KAFKA_SCHEMA_REGISTRY, REDIS: Password for the target connection's key store.
- SPARK: Applicable when
- Key
Store stringSecret Id - Secret OCID containing the key store content.
- SPARK: Applicable when
securityProtocolis TLS. - JAVA_MESSAGE_SERVICE, KAFKA, KAFKA_SCHEMA_REGISTRY, REDIS: Key store file used by the target connection.
- SPARK: Applicable when
- Key
Store stringType - Client key store format used for mutual TLS.
- Lifecycle
Details string - Describes the object's current state in detail. For example, it can be used to provide actionable information for a resource in a Failed state.
- Locks
List<Get
Connection Lock> - Locks associated with this resource.
- Max
Input intChars - Maximum number of input characters supported by this AI model connection.
- Model
Key string - AI model identifier.
- Nsg
Ids List<string> - An array of Network Security Group OCIDs used to define network access for either Deployments or Connections.
- Password string
- Password
Secret stringId - The OCID of the Secret where the password is stored. The password Oracle GoldenGate uses to connect the associated system of the given technology. It must conform to the specific security requirements including length, case sensitivity, and so on. Note: When provided, 'password' field must not be provided.
- Port int
- The port of an endpoint usually specified for a connection.
- Private
Ip string - This property is not available when creating connections. For existing deprecated connections having this value set, the value cannot be updated; set it to empty.
- Private
Key stringFile - Private
Key stringFile Secret Id - The OCID of the Secret that stores the content of the private key file (PEM file) corresponding to the API key of the fingerprint. See documentation: https://docs.oracle.com/en-us/iaas/Content/Identity/Tasks/managingcredentials.htm Note: When provided, 'privateKeyFile' field must not be provided.
- Private
Key stringPassphrase - Private
Key stringPassphrase Secret Id - The OCID of the Secret that stores the password for the private key file. Note: When provided, 'privateKeyPassphrase' field must not be provided.
- Producer
Properties string - The base64 encoded content of the producer.properties file.
- Provider
Id string - Optional identifier of the AI Provider Connection backing this AI Model Connection. When provided, it must reference an existing Active connection of type
AI_PROVIDER. WhenproviderIdis set,providerTypeandauthDetailsmust not be provided on the AI Model Connection, because provider metadata is resolved from the referenced AI Provider Connection. WhenproviderIdis not set, the AI Model Connection must provide inline provider metadata usingproviderTypeandauthDetails. - Provider
Type string - AI Provider type used by the AI Model Connection.
- Public
Key stringFingerprint - The fingerprint of the API Key of the user specified by the userId. See documentation: https://docs.oracle.com/en-us/iaas/Content/Identity/Tasks/managingcredentials.htm
- Redis
Cluster stringId - The OCID of the Redis cluster.
- Region string
- The AMAZON region where the S3 bucket is hosted. e.g.: 'us-east-2'
- Rest
Auth stringSecret Key - Rest
Auth stringSecret Key Secret Id - The OCID of the Secret that stores the REST submission signing key. Applicable only when submitMode is REST and the cluster enforces REST request signing. This setting is independent of authenticationType. Note: When provided, 'restAuthSecretKey' field must not be provided.
- Rest
Endpoint string - Spark standalone REST submission base URL. e.g.: 'https://spark-master.example.com:6066' Applicable only and required when submitMode is REST.
- Routing
Method string - Controls the network traffic direction to the target: SHARED_DEPLOYMENT_ENDPOINT: Network traffic flows from the assigned deployment's private endpoint through the deployment's subnet. DEDICATED_ENDPOINT: A dedicated private endpoint is created in the target VCN subnet for the connection. The subnetId is required when DEDICATED_ENDPOINT networking is selected. SHARED_SERVICE_ENDPOINT: Traffic flows through the Goldengate Service's network to public hosts. Cannot be used for private targets.
- Rpc
Cipher string - Cipher transform used for Spark RPC encryption. Applicable when securityProtocol is AES_RPC.
- Sas
Token string - Sas
Token stringSecret Id - The OCID of the Secret where the sas token is stored. Note: When provided, 'sasToken' field must not be provided.
- Secret
Access stringKey - Secret
Access stringKey Secret Id - The OCID of the Secret where the Secret Access Key used for Oracle Cloud Infrastructure Object Storage S3 Compatibility authentication.
- Security
Attributes Dictionary<string, string> - Security attributes for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example:
{"Oracle-ZPR": {"MaxEgressCount": {"value": "42", "mode": "enforce"}}} - Security
Protocol string - Security protocol; supported values depend on
connectionType.- SPARK: PLAINTEXT, TLS, AES_RPC, or SASL_ENCRYPTED. AES_RPC and SASL_ENCRYPTED require SHARED_SECRET authentication.
- Other connection types: Use the protocol supported by the target service.
- Servers string
- Comma separated list of Elasticsearch server addresses, specified as host:port entries, where :port is optional. If port is not specified, it defaults to 9200. Used for establishing the initial connection to the Elasticsearch cluster. Example:
"server1.example.com:4000,server2.example.com:4000" - Service
Account stringKey File - Service
Account stringKey File Secret Id - The OCID of the Secret where the content of the service account key file is stored, which contains the credentials required to use Google Cloud Storage.
- Session
Mode string - Specifies the session mode for the database connection. Use REDIRECT only for RAC databases with SCAN listeners that return IP addresses. For RAC databases with SCAN listeners that return FQDNs, and for all other Oracle database technologies, use DIRECT. In RAC deployments, SCAN listeners redirects a connection to a specific database node, identified by either IP address or FQDN. It is recommended to configure RAC with FQDN-based SCAN listeners.
- Should
Use boolJndi - If set to true, Java Naming and Directory Interface (JNDI) properties should be provided.
- Should
Use boolResource Principal - KAFKA: Specifies that the user intends to authenticate to the instance using a resource principal. Applicable only for Oracle Cloud Infrastructure Streaming connections. Only available from 23.9.0.0.0 GoldenGate versions. Note: When specified, 'username'/'password'/'passwordSecretId' fields must not be provided. Default: false
- OCI_OBJECT_STORAGE, ORACLE_AI_DATA_PLATFORM, ORACLE_NOSQL: Specifies that the user intends to authenticate to the instance using a resource principal. Default: false
- Should
Validate boolServer Certificate - If set to true, the driver validates the certificate that is sent by the database server.
- Ssl
Ca string - MICROSOFT_SQLSERVER: Database Certificate - The base64 encoded content of a .pem or .crt file containing the server public key (for 1-way SSL).
- MYSQL: Database Certificate - The base64 encoded content of a .pem or .crt file containing the server public key (for 1 and 2-way SSL). It is not included in GET responses if the
view=COMPACTquery parameter is specified. - POSTGRESQL: The base64 encoded certificate of the trusted certificate authorities (Trusted CA) for PostgreSQL. The supported file formats are .pem and .crt. It is not included in GET responses if the
view=COMPACTquery parameter is specified.
- Ssl
Cert string - MYSQL: Client Certificate - The base64 encoded content of a .pem or .crt file containing the client public key (for 2-way SSL). It is not included in GET responses if the
view=COMPACTquery parameter is specified. - POSTGRESQL: The base64 encoded certificate of the PostgreSQL server. The supported file formats are .pem and .crt. It is not included in GET responses if the
view=COMPACTquery parameter is specified.
- MYSQL: Client Certificate - The base64 encoded content of a .pem or .crt file containing the client public key (for 2-way SSL). It is not included in GET responses if the
- Ssl
Client stringKeystash - Ssl
Client stringKeystash Secret Id - The OCID of the Secret where the keystash file is stored, which contains the encrypted password to the key database file. This property is not supported for IBM Db2 for i, as client TLS mode is not available.
- Ssl
Client stringKeystoredb - Ssl
Client stringKeystoredb Secret Id - The OCID of the Secret where the keystore file stored, which created at the client containing the server certificate / CA root certificate. This property is not supported for IBM Db2 for i, as client TLS mode is not available.
- Ssl
Crl string - The base64 encoded list of certificates revoked by the trusted certificate authorities (Trusted CA). Note: This is an optional property and only applicable if TLS/MTLS option is selected. It is not included in GET responses if the
view=COMPACTquery parameter is specified. - Ssl
Key string - Ssl
Key stringPassword - Ssl
Key stringPassword Secret Id - Secret OCID containing the certificate private-key password inside the client key store.
- SPARK: Applicable when
securityProtocolis TLS and a client key store is provided. - JAVA_MESSAGE_SERVICE, KAFKA, KAFKA_SCHEMA_REGISTRY: Provide it when the private-key password differs from the key store password.
- SPARK: Applicable when
- Ssl
Key stringSecret Id - The OCID of the Secret that stores the Client Key
- The content of a .pem or .crt file containing the client private key (for 2-way SSL). Note: When provided, 'sslKey' field must not be provided.
- Ssl
Mode string - SSL mode for PostgreSQL.
- Ssl
Server stringCertificate - The base64 encoded file which contains the self-signed server certificate / Certificate Authority (CA) certificate. It is not included in GET responses if the
view=COMPACTquery parameter is specified. - State string
- Possible lifecycle states for connection.
- Storage
Credential stringName - Optional. External storage credential name to access files on object storage such as ADLS Gen2, S3 or GCS.
- Storages
List<Get
Connection Storage> - Represents the storage of given type used in an Iceberg connection.
- Stream
Pool stringId - The OCID of the stream pool being referenced.
- Submit
Mode string - Submission channel used to connect to Spark.
- Subnet
Id string - The OCID of the target subnet of the dedicated connection.
- Subscription
Id string - The OCID of the subscription with which resource needs to be associated with.
- Dictionary<string, string>
- The system tags associated with this resource, if any. The system tags are set by Oracle Cloud Infrastructure services. Each key is predefined and scoped to namespaces. For more information, see Resource Tags. Example:
{orcl-cloud: {free-tier-retain: true}} - Technology
Type string - Technology type selected for the connection.
- AI_MODEL: AI Model technology type.
- AI_PROVIDER: AI Provider technology type.
- DATABRICKS_ENGINE: Databricks Engine technology type.
- ICEBERG: Iceberg technology type. APACHE_ICEBERG supports all catalog types; AMAZON_S3_TABLES supports only REST catalog and S3 storage.
- KAFKA_SCHEMA_REGISTRY: Kafka Schema Registry technology type.
- ORACLE_AI_DATA_PLATFORM_ENGINE: Oracle AI Data Platform Engine technology type.
- SPARK: Spark technology type.
- Tenancy
Id string - The OCID of the related Oracle Cloud Infrastructure tenancy.
- Tenant
Id string - Azure tenant ID of the application. e.g.: 14593954-d337-4a61-a364-9f758c64f97f
- Time
Created string - The time the resource was created. The format is defined by RFC3339, such as
2016-08-25T21:10:29.600Z. - Time
Updated string - The time the resource was last updated. The format is defined by RFC3339, such as
2016-08-25T21:10:29.600Z. - Tls
Ca stringFile - Database Certificate - The base64 encoded content of a .pem file, containing the server public key (for 1 and 2-way SSL). It is not included in GET responses if the
view=COMPACTquery parameter is specified. - Tls
Certificate stringKey File - Tls
Certificate stringKey File Password - Tls
Certificate stringKey File Password Secret Id - The OCID of the Secret that stores the password of the tls certificate key file. Note: When provided, 'tlsCertificateKeyFilePassword' field must not be provided.
- Tls
Certificate stringKey File Secret Id - The OCID of the Secret that stores the certificate key file of the mtls connection.
- The content of a .pem file containing the client private key (for 2-way SSL). Note: When provided, 'tlsCertificateKeyFile' field must not be provided.
- Tls
Protocol string - TLS protocol negotiated by the Spark client.
- Trigger
Refresh bool - Trust
Store string - Trust
Store stringPassword - Trust
Store stringPassword Secret Id - Secret OCID containing the trust store password.
- SPARK: Applicable when
securityProtocolis TLS and a trust store is provided. Required whentrustStoreSecretIdis provided. - JAVA_MESSAGE_SERVICE, KAFKA, KAFKA_SCHEMA_REGISTRY, REDIS: Password for the target connection's trust store.
- SPARK: Applicable when
- Trust
Store stringSecret Id - Secret OCID containing the trust store content.
- SPARK: Applicable when
securityProtocolis TLS. Provide it when the server certificate is not already trusted by the JVM. - JAVA_MESSAGE_SERVICE, KAFKA, KAFKA_SCHEMA_REGISTRY, REDIS: Trust store file used by the target connection.
- SPARK: Applicable when
- Trust
Store stringType - Trust store format used by the Spark client.
- Url string
- Kafka Schema Registry URL. e.g.: 'https://server1.us.oracle.com:8081'
- User
Id string - OCI_OBJECT_STORAGE, ORACLE_AI_DATA_PLATFORM: The OCID of the Oracle Cloud Infrastructure user who accesses Object Storage. The user must have write access to the bucket. If omitted, the service defaults to the user calling the API.
- ORACLE_NOSQL: The OCID of the Oracle Cloud Infrastructure user who accesses the Oracle NoSQL database. The user must have write access to the table. If omitted, the service defaults to the user calling the API.
- Username string
- The username Oracle GoldenGate uses to connect the associated system of the given technology. This username must already exist and be available by the system/application to be connected to and must conform to the case sensitivty requirments defined in it.
- Vault
Id string - References the Oracle Cloud Infrastructure Vault that contains the customer-managed encryption key identified by
keyId. - Wallet string
- Wallet
Secret stringId - The OCID of the Secret where the wallet file is stored. The wallet contents Oracle GoldenGate uses to make connections to a database. Note: When provided, 'wallet' field must not be provided.
- Workspace
Url string - DATABRICKS_ENGINE: Databricks workspace base URL for the REST API, for example
https://<workspace>.cloud.databricks.com/api/2.0/. - ORACLE_AI_DATA_PLATFORM_ENGINE: Oracle AI Data Platform workspace URL.
- DATABRICKS_ENGINE: Databricks workspace base URL for the REST API, for example
- Access
Key stringId - Access Key ID from the Oracle Cloud Infrastructure IAM user's Customer Secret Key pair used to authenticate to Oracle Cloud Infrastructure Object Storage via the S3 Compatibility API.
- Account
Key string - Account
Key stringSecret Id - The OCID of the Secret where the account key is stored.
- Account
Name string - Sets the Azure storage account name.
- Additional
Attributes []GetConnection Additional Attribute - An array of name-value pair attribute entries. Used as additional parameters in connection string.
- Artifact
Locations []GetConnection Artifact Location - Location used to share engine application artifacts.
- DATABRICKS_ENGINE: Location used to share Databricks application artifacts.
- SPARK: Location used to share Spark application artifacts with a remote cluster.
- Auth
Details []GetConnection Auth Detail - Authentication details for an AI Model or AI Provider connection.
- Auth
Secret string - Auth
Secret stringSecret Id - The OCID of the Secret that stores the Spark authentication shared secret. Applicable when authenticationType is SHARED_SECRET. Note: When provided, 'authSecret' field must not be provided.
- Auth
Token string - Auth
Token stringSecret Id - The OCID of the Secret where the personal access token is stored. Only applicable for authenticationType == PERSONAL_ACCESS_TOKEN. Note: When provided, 'authToken' field must not be provided.
- Authentication
Mode string - Authentication mode. It can be provided at creation of Oracle Autonomous Database Serverless connections, when a databaseId is provided. The default value is MTLS.
- Authentication
Type string - Authentication mechanism; supported values depend on
connectionType.- DATABRICKS: Use PERSONAL_ACCESS_TOKEN or OAUTH_M2M.
- DATABRICKS_ENGINE: Use PERSONAL_ACCESS_TOKEN or OAUTH_M2M for the Databricks Engine REST API.
- JAVA_MESSAGE_SERVICE: Authentication type for Java Message Service. The default is NONE.
- SPARK: Use SHARED_SECRET only when the target cluster has
spark.authenticate=true. AES_RPC and SASL_ENCRYPTED require SHARED_SECRET. - AZURE_DATA_LAKE_STORAGE, ELASTICSEARCH, KAFKA_SCHEMA_REGISTRY, REDIS, SNOWFLAKE: Authentication type supported by the target service.
- string
- The endpoint used for authentication with Microsoft Entra ID (formerly Azure Active Directory). Default value: https://login.microsoftonline.com When connecting to a non-public Azure Cloud, the endpoint must be provided, eg:
- Azure China: https://login.chinacloudapi.cn/
- Azure US Government: https://login.microsoftonline.us/
- Azure
Tenant stringId - Azure tenant ID of the application. This property is required when 'authenticationType' is set to 'AZURE_ACTIVE_DIRECTORY'. e.g.: 14593954-d337-4a61-a364-9f758c64f97f
- Bootstrap
Servers []GetConnection Bootstrap Server - Kafka bootstrap. Equivalent of bootstrap.servers configuration property in Kafka: list of KafkaBootstrapServer objects specified by host/port. Used for establishing the initial connection to the Kafka cluster. Example:
"server1.example.com:9092,server2.example.com:9092" - Catalogs
[]Get
Connection Catalog - Represents the catalog of given type used in an Iceberg connection.
- Client
Id string - AZURE_DATA_LAKE_STORAGE: Azure client ID of the application. This property is required when 'authenticationType' is set to 'AZURE_ACTIVE_DIRECTORY'. e.g.: 06ecaabf-8b80-4ec8-a0ec-20cbf463703d
- DATABRICKS, DATABRICKS_ENGINE: OAuth client ID, applicable to OAUTH_M2M authentication.
- MICROSOFT_FABRIC: Azure client ID of the application. e.g.: 06ecaabf-8b80-4ec8-a0ec-20cbf463703d
- Client
Secret string - Client
Secret stringSecret Id - AZURE_DATA_LAKE_STORAGE: The OCID of the Secret where the client secret is stored.
- DATABRICKS, DATABRICKS_ENGINE: The OCID of the Secret where the client secret is stored. Applicable to OAUTH_M2M authentication.
- MICROSOFT_FABRIC: The OCID of the Secret where the client secret is stored. Note: When provided, 'clientSecret' field must not be provided.
- Cluster
Endpoint string - Spark master URL used for job submission. Required for both SUBMIT and REST submit modes. e.g.:
spark://spark-master.example.com:7077. High availability can be configured with a comma-separated list, for examplespark://h1.example.com:7077,h2.example.com:7077. - Cluster
Id string - The OCID of the Kafka cluster being referenced from Oracle Cloud Infrastructure Streaming with Apache Kafka.
- Cluster
Placement stringGroup Id - The OCID(https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the cluster placement group for the resource. Only applicable for multicloud subscriptions. The cluster placement group id must be provided when a multicloud subscription id is provided. Otherwise the cluster placement group must not be provided.
- Compartment
Id string - The OCID of the compartment being referenced.
- Connection
Factory string - The of Java class implementing javax.jms.ConnectionFactory interface supplied by the Java Message Service provider. e.g.: 'com.stc.jmsjca.core.JConnectionFactoryXA'
- Connection
Id string - Connection
String string - ORACLE: Connect descriptor or Easy Connect Naming method used to connect to a database.
- MONGODB: MongoDB connection string. e.g.: 'mongodb://mongodb0.example.com:27017/recordsrecords'
- AZURE_SYNAPSE_ANALYTICS: JDBC connection string. e.g.: 'jdbc:sqlserver://.sql.azuresynapse.net:1433;database=;encrypt=true;trustServerCertificate=false;hostNameInCertificate=*.sql.azuresynapse.net;loginTimeout=300;'
- Connection
Type string - The connection type.
- Connection
Url string - JAVA_MESSAGE_SERVICE: Connection URL of the Java Message Service, specifying the protocol, host, and port. e.g.: 'mq://myjms.host.domain:7676'
- SNOWFLAKE: JDBC connection URL. e.g.: 'jdbc:snowflake://<account_name>.snowflakecomputing.com/?warehouse=&db='
- AMAZON_REDSHIFT: Connection URL. e.g.: 'jdbc:redshift://aws-redshift-instance.aaaaaaaaaaaa.us-east-2.redshift.amazonaws.com:5439/mydb'
- DATABRICKS: Connection URL. e.g.: 'jdbc:databricks://adb-33934.4.azuredatabricks.net:443/default;transportMode=http;ssl=1;httpPath=sql/protocolv1/o/3393########44/0##3-7-hlrb'
- ORACLE_AI_DATA_PLATFORM: Connection URL. It must start with 'jdbc:spark://'
- Consumer
Properties string - The base64 encoded content of the consumer.properties file.
- Core
Site stringXml - The base64 encoded content of the Hadoop Distributed File System configuration file (core-site.xml). It is not included in GET responses if the
view=COMPACTquery parameter is specified. - Database
Id string - The OCID of the database being referenced.
- Database
Name string - The name of the database.
- Db
System stringId - The OCID of the database system being referenced.
- map[string]string
- Tags defined for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - Deployment
Id string - The OCID of the deployment being referenced.
- Description string
- Metadata about this specific object.
- Display
Name string - An object's Display Name.
- Does
Use boolSecret Ids - Indicates that sensitive attributes are provided via Secrets.
- Endpoint string
- Oracle Cloud Infrastructure Object Storage S3 Compatibility API endpoint URL. Format: "https://.compat.objectstorage.." Example: "https://mynamespace.compat.objectstorage.us-ashburn-1.oraclecloud.com"
- Fingerprint string
- Fingerprint required by TLS security protocol. Eg.: '6152b2dfbff200f973c5074a5b91d06ab3b472c07c09a1ea57bb7fd406cdce9c'
- map[string]string
- A simple key-value pair that is applied without any predefined name, type, or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - Host string
- The name or address of a host.
In case of Generic connection type it represents the Host and port separated by colon. Example:
"server.example.com:1234"For multiple hosts, provide a comma separated list. Example:"server1.example.com:1000,server1.example.com:2000" - Id string
- The OCID of the connection being referenced.
- Ingress
Ips []GetConnection Ingress Ip - List of ingress IP addresses from where the GoldenGate deployment connects to this connection's privateIp. Customers may optionally set up ingress security rules to restrict traffic from these IP addresses.
- Is
Lock boolOverride - Jndi
Connection stringFactory - The Connection Factory can be looked up using this name. e.g.: 'ConnectionFactory'
- Jndi
Initial stringContext Factory - The implementation of javax.naming.spi.InitialContextFactory interface that the client uses to obtain initial naming context. e.g.: 'org.apache.activemq.jndi.ActiveMQInitialContextFactory'
- Jndi
Provider stringUrl - The URL that Java Message Service will use to contact the JNDI provider. e.g.: 'tcp://myjms.host.domain:61616?jms.prefetchPolicy.all=1000'
- Jndi
Security stringCredentials - Jndi
Security stringCredentials Secret Id - The OCID of the Secret where the security credentials are stored associated to the principal. Note: When provided, 'jndiSecurityCredentials' field must not be provided.
- Jndi
Security stringPrincipal - Specifies the identity of the principal (user) to be authenticated. e.g.: 'admin2'
- Key
Id string - References the Oracle Cloud Infrastructure Vault key in the Oracle Cloud Infrastructure Vault identified by
vaultId. - Key
Store string - Key
Store stringPassword - Key
Store stringPassword Secret Id - Secret OCID containing the key store password.
- SPARK: Applicable when
securityProtocolis TLS and a client key store is provided. Required whenkeyStoreSecretIdis provided. - JAVA_MESSAGE_SERVICE, KAFKA, KAFKA_SCHEMA_REGISTRY, REDIS: Password for the target connection's key store.
- SPARK: Applicable when
- Key
Store stringSecret Id - Secret OCID containing the key store content.
- SPARK: Applicable when
securityProtocolis TLS. - JAVA_MESSAGE_SERVICE, KAFKA, KAFKA_SCHEMA_REGISTRY, REDIS: Key store file used by the target connection.
- SPARK: Applicable when
- Key
Store stringType - Client key store format used for mutual TLS.
- Lifecycle
Details string - Describes the object's current state in detail. For example, it can be used to provide actionable information for a resource in a Failed state.
- Locks
[]Get
Connection Lock - Locks associated with this resource.
- Max
Input intChars - Maximum number of input characters supported by this AI model connection.
- Model
Key string - AI model identifier.
- Nsg
Ids []string - An array of Network Security Group OCIDs used to define network access for either Deployments or Connections.
- Password string
- Password
Secret stringId - The OCID of the Secret where the password is stored. The password Oracle GoldenGate uses to connect the associated system of the given technology. It must conform to the specific security requirements including length, case sensitivity, and so on. Note: When provided, 'password' field must not be provided.
- Port int
- The port of an endpoint usually specified for a connection.
- Private
Ip string - This property is not available when creating connections. For existing deprecated connections having this value set, the value cannot be updated; set it to empty.
- Private
Key stringFile - Private
Key stringFile Secret Id - The OCID of the Secret that stores the content of the private key file (PEM file) corresponding to the API key of the fingerprint. See documentation: https://docs.oracle.com/en-us/iaas/Content/Identity/Tasks/managingcredentials.htm Note: When provided, 'privateKeyFile' field must not be provided.
- Private
Key stringPassphrase - Private
Key stringPassphrase Secret Id - The OCID of the Secret that stores the password for the private key file. Note: When provided, 'privateKeyPassphrase' field must not be provided.
- Producer
Properties string - The base64 encoded content of the producer.properties file.
- Provider
Id string - Optional identifier of the AI Provider Connection backing this AI Model Connection. When provided, it must reference an existing Active connection of type
AI_PROVIDER. WhenproviderIdis set,providerTypeandauthDetailsmust not be provided on the AI Model Connection, because provider metadata is resolved from the referenced AI Provider Connection. WhenproviderIdis not set, the AI Model Connection must provide inline provider metadata usingproviderTypeandauthDetails. - Provider
Type string - AI Provider type used by the AI Model Connection.
- Public
Key stringFingerprint - The fingerprint of the API Key of the user specified by the userId. See documentation: https://docs.oracle.com/en-us/iaas/Content/Identity/Tasks/managingcredentials.htm
- Redis
Cluster stringId - The OCID of the Redis cluster.
- Region string
- The AMAZON region where the S3 bucket is hosted. e.g.: 'us-east-2'
- Rest
Auth stringSecret Key - Rest
Auth stringSecret Key Secret Id - The OCID of the Secret that stores the REST submission signing key. Applicable only when submitMode is REST and the cluster enforces REST request signing. This setting is independent of authenticationType. Note: When provided, 'restAuthSecretKey' field must not be provided.
- Rest
Endpoint string - Spark standalone REST submission base URL. e.g.: 'https://spark-master.example.com:6066' Applicable only and required when submitMode is REST.
- Routing
Method string - Controls the network traffic direction to the target: SHARED_DEPLOYMENT_ENDPOINT: Network traffic flows from the assigned deployment's private endpoint through the deployment's subnet. DEDICATED_ENDPOINT: A dedicated private endpoint is created in the target VCN subnet for the connection. The subnetId is required when DEDICATED_ENDPOINT networking is selected. SHARED_SERVICE_ENDPOINT: Traffic flows through the Goldengate Service's network to public hosts. Cannot be used for private targets.
- Rpc
Cipher string - Cipher transform used for Spark RPC encryption. Applicable when securityProtocol is AES_RPC.
- Sas
Token string - Sas
Token stringSecret Id - The OCID of the Secret where the sas token is stored. Note: When provided, 'sasToken' field must not be provided.
- Secret
Access stringKey - Secret
Access stringKey Secret Id - The OCID of the Secret where the Secret Access Key used for Oracle Cloud Infrastructure Object Storage S3 Compatibility authentication.
- Security
Attributes map[string]string - Security attributes for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example:
{"Oracle-ZPR": {"MaxEgressCount": {"value": "42", "mode": "enforce"}}} - Security
Protocol string - Security protocol; supported values depend on
connectionType.- SPARK: PLAINTEXT, TLS, AES_RPC, or SASL_ENCRYPTED. AES_RPC and SASL_ENCRYPTED require SHARED_SECRET authentication.
- Other connection types: Use the protocol supported by the target service.
- Servers string
- Comma separated list of Elasticsearch server addresses, specified as host:port entries, where :port is optional. If port is not specified, it defaults to 9200. Used for establishing the initial connection to the Elasticsearch cluster. Example:
"server1.example.com:4000,server2.example.com:4000" - Service
Account stringKey File - Service
Account stringKey File Secret Id - The OCID of the Secret where the content of the service account key file is stored, which contains the credentials required to use Google Cloud Storage.
- Session
Mode string - Specifies the session mode for the database connection. Use REDIRECT only for RAC databases with SCAN listeners that return IP addresses. For RAC databases with SCAN listeners that return FQDNs, and for all other Oracle database technologies, use DIRECT. In RAC deployments, SCAN listeners redirects a connection to a specific database node, identified by either IP address or FQDN. It is recommended to configure RAC with FQDN-based SCAN listeners.
- Should
Use boolJndi - If set to true, Java Naming and Directory Interface (JNDI) properties should be provided.
- Should
Use boolResource Principal - KAFKA: Specifies that the user intends to authenticate to the instance using a resource principal. Applicable only for Oracle Cloud Infrastructure Streaming connections. Only available from 23.9.0.0.0 GoldenGate versions. Note: When specified, 'username'/'password'/'passwordSecretId' fields must not be provided. Default: false
- OCI_OBJECT_STORAGE, ORACLE_AI_DATA_PLATFORM, ORACLE_NOSQL: Specifies that the user intends to authenticate to the instance using a resource principal. Default: false
- Should
Validate boolServer Certificate - If set to true, the driver validates the certificate that is sent by the database server.
- Ssl
Ca string - MICROSOFT_SQLSERVER: Database Certificate - The base64 encoded content of a .pem or .crt file containing the server public key (for 1-way SSL).
- MYSQL: Database Certificate - The base64 encoded content of a .pem or .crt file containing the server public key (for 1 and 2-way SSL). It is not included in GET responses if the
view=COMPACTquery parameter is specified. - POSTGRESQL: The base64 encoded certificate of the trusted certificate authorities (Trusted CA) for PostgreSQL. The supported file formats are .pem and .crt. It is not included in GET responses if the
view=COMPACTquery parameter is specified.
- Ssl
Cert string - MYSQL: Client Certificate - The base64 encoded content of a .pem or .crt file containing the client public key (for 2-way SSL). It is not included in GET responses if the
view=COMPACTquery parameter is specified. - POSTGRESQL: The base64 encoded certificate of the PostgreSQL server. The supported file formats are .pem and .crt. It is not included in GET responses if the
view=COMPACTquery parameter is specified.
- MYSQL: Client Certificate - The base64 encoded content of a .pem or .crt file containing the client public key (for 2-way SSL). It is not included in GET responses if the
- Ssl
Client stringKeystash - Ssl
Client stringKeystash Secret Id - The OCID of the Secret where the keystash file is stored, which contains the encrypted password to the key database file. This property is not supported for IBM Db2 for i, as client TLS mode is not available.
- Ssl
Client stringKeystoredb - Ssl
Client stringKeystoredb Secret Id - The OCID of the Secret where the keystore file stored, which created at the client containing the server certificate / CA root certificate. This property is not supported for IBM Db2 for i, as client TLS mode is not available.
- Ssl
Crl string - The base64 encoded list of certificates revoked by the trusted certificate authorities (Trusted CA). Note: This is an optional property and only applicable if TLS/MTLS option is selected. It is not included in GET responses if the
view=COMPACTquery parameter is specified. - Ssl
Key string - Ssl
Key stringPassword - Ssl
Key stringPassword Secret Id - Secret OCID containing the certificate private-key password inside the client key store.
- SPARK: Applicable when
securityProtocolis TLS and a client key store is provided. - JAVA_MESSAGE_SERVICE, KAFKA, KAFKA_SCHEMA_REGISTRY: Provide it when the private-key password differs from the key store password.
- SPARK: Applicable when
- Ssl
Key stringSecret Id - The OCID of the Secret that stores the Client Key
- The content of a .pem or .crt file containing the client private key (for 2-way SSL). Note: When provided, 'sslKey' field must not be provided.
- Ssl
Mode string - SSL mode for PostgreSQL.
- Ssl
Server stringCertificate - The base64 encoded file which contains the self-signed server certificate / Certificate Authority (CA) certificate. It is not included in GET responses if the
view=COMPACTquery parameter is specified. - State string
- Possible lifecycle states for connection.
- Storage
Credential stringName - Optional. External storage credential name to access files on object storage such as ADLS Gen2, S3 or GCS.
- Storages
[]Get
Connection Storage - Represents the storage of given type used in an Iceberg connection.
- Stream
Pool stringId - The OCID of the stream pool being referenced.
- Submit
Mode string - Submission channel used to connect to Spark.
- Subnet
Id string - The OCID of the target subnet of the dedicated connection.
- Subscription
Id string - The OCID of the subscription with which resource needs to be associated with.
- map[string]string
- The system tags associated with this resource, if any. The system tags are set by Oracle Cloud Infrastructure services. Each key is predefined and scoped to namespaces. For more information, see Resource Tags. Example:
{orcl-cloud: {free-tier-retain: true}} - Technology
Type string - Technology type selected for the connection.
- AI_MODEL: AI Model technology type.
- AI_PROVIDER: AI Provider technology type.
- DATABRICKS_ENGINE: Databricks Engine technology type.
- ICEBERG: Iceberg technology type. APACHE_ICEBERG supports all catalog types; AMAZON_S3_TABLES supports only REST catalog and S3 storage.
- KAFKA_SCHEMA_REGISTRY: Kafka Schema Registry technology type.
- ORACLE_AI_DATA_PLATFORM_ENGINE: Oracle AI Data Platform Engine technology type.
- SPARK: Spark technology type.
- Tenancy
Id string - The OCID of the related Oracle Cloud Infrastructure tenancy.
- Tenant
Id string - Azure tenant ID of the application. e.g.: 14593954-d337-4a61-a364-9f758c64f97f
- Time
Created string - The time the resource was created. The format is defined by RFC3339, such as
2016-08-25T21:10:29.600Z. - Time
Updated string - The time the resource was last updated. The format is defined by RFC3339, such as
2016-08-25T21:10:29.600Z. - Tls
Ca stringFile - Database Certificate - The base64 encoded content of a .pem file, containing the server public key (for 1 and 2-way SSL). It is not included in GET responses if the
view=COMPACTquery parameter is specified. - Tls
Certificate stringKey File - Tls
Certificate stringKey File Password - Tls
Certificate stringKey File Password Secret Id - The OCID of the Secret that stores the password of the tls certificate key file. Note: When provided, 'tlsCertificateKeyFilePassword' field must not be provided.
- Tls
Certificate stringKey File Secret Id - The OCID of the Secret that stores the certificate key file of the mtls connection.
- The content of a .pem file containing the client private key (for 2-way SSL). Note: When provided, 'tlsCertificateKeyFile' field must not be provided.
- Tls
Protocol string - TLS protocol negotiated by the Spark client.
- Trigger
Refresh bool - Trust
Store string - Trust
Store stringPassword - Trust
Store stringPassword Secret Id - Secret OCID containing the trust store password.
- SPARK: Applicable when
securityProtocolis TLS and a trust store is provided. Required whentrustStoreSecretIdis provided. - JAVA_MESSAGE_SERVICE, KAFKA, KAFKA_SCHEMA_REGISTRY, REDIS: Password for the target connection's trust store.
- SPARK: Applicable when
- Trust
Store stringSecret Id - Secret OCID containing the trust store content.
- SPARK: Applicable when
securityProtocolis TLS. Provide it when the server certificate is not already trusted by the JVM. - JAVA_MESSAGE_SERVICE, KAFKA, KAFKA_SCHEMA_REGISTRY, REDIS: Trust store file used by the target connection.
- SPARK: Applicable when
- Trust
Store stringType - Trust store format used by the Spark client.
- Url string
- Kafka Schema Registry URL. e.g.: 'https://server1.us.oracle.com:8081'
- User
Id string - OCI_OBJECT_STORAGE, ORACLE_AI_DATA_PLATFORM: The OCID of the Oracle Cloud Infrastructure user who accesses Object Storage. The user must have write access to the bucket. If omitted, the service defaults to the user calling the API.
- ORACLE_NOSQL: The OCID of the Oracle Cloud Infrastructure user who accesses the Oracle NoSQL database. The user must have write access to the table. If omitted, the service defaults to the user calling the API.
- Username string
- The username Oracle GoldenGate uses to connect the associated system of the given technology. This username must already exist and be available by the system/application to be connected to and must conform to the case sensitivty requirments defined in it.
- Vault
Id string - References the Oracle Cloud Infrastructure Vault that contains the customer-managed encryption key identified by
keyId. - Wallet string
- Wallet
Secret stringId - The OCID of the Secret where the wallet file is stored. The wallet contents Oracle GoldenGate uses to make connections to a database. Note: When provided, 'wallet' field must not be provided.
- Workspace
Url string - DATABRICKS_ENGINE: Databricks workspace base URL for the REST API, for example
https://<workspace>.cloud.databricks.com/api/2.0/. - ORACLE_AI_DATA_PLATFORM_ENGINE: Oracle AI Data Platform workspace URL.
- DATABRICKS_ENGINE: Databricks workspace base URL for the REST API, for example
- access_
key_ stringid - Access Key ID from the Oracle Cloud Infrastructure IAM user's Customer Secret Key pair used to authenticate to Oracle Cloud Infrastructure Object Storage via the S3 Compatibility API.
- account_
key string - account_
key_ stringsecret_ id - The OCID of the Secret where the account key is stored.
- account_
name string - Sets the Azure storage account name.
- additional_
attributes list(object) - An array of name-value pair attribute entries. Used as additional parameters in connection string.
- artifact_
locations list(object) - Location used to share engine application artifacts.
- DATABRICKS_ENGINE: Location used to share Databricks application artifacts.
- SPARK: Location used to share Spark application artifacts with a remote cluster.
- auth_
details list(object) - Authentication details for an AI Model or AI Provider connection.
- auth_
secret string - auth_
secret_ stringsecret_ id - The OCID of the Secret that stores the Spark authentication shared secret. Applicable when authenticationType is SHARED_SECRET. Note: When provided, 'authSecret' field must not be provided.
- auth_
token string - auth_
token_ stringsecret_ id - The OCID of the Secret where the personal access token is stored. Only applicable for authenticationType == PERSONAL_ACCESS_TOKEN. Note: When provided, 'authToken' field must not be provided.
- authentication_
mode string - Authentication mode. It can be provided at creation of Oracle Autonomous Database Serverless connections, when a databaseId is provided. The default value is MTLS.
- authentication_
type string - Authentication mechanism; supported values depend on
connectionType.- DATABRICKS: Use PERSONAL_ACCESS_TOKEN or OAUTH_M2M.
- DATABRICKS_ENGINE: Use PERSONAL_ACCESS_TOKEN or OAUTH_M2M for the Databricks Engine REST API.
- JAVA_MESSAGE_SERVICE: Authentication type for Java Message Service. The default is NONE.
- SPARK: Use SHARED_SECRET only when the target cluster has
spark.authenticate=true. AES_RPC and SASL_ENCRYPTED require SHARED_SECRET. - AZURE_DATA_LAKE_STORAGE, ELASTICSEARCH, KAFKA_SCHEMA_REGISTRY, REDIS, SNOWFLAKE: Authentication type supported by the target service.
- string
- The endpoint used for authentication with Microsoft Entra ID (formerly Azure Active Directory). Default value: https://login.microsoftonline.com When connecting to a non-public Azure Cloud, the endpoint must be provided, eg:
- Azure China: https://login.chinacloudapi.cn/
- Azure US Government: https://login.microsoftonline.us/
- azure_
tenant_ stringid - Azure tenant ID of the application. This property is required when 'authenticationType' is set to 'AZURE_ACTIVE_DIRECTORY'. e.g.: 14593954-d337-4a61-a364-9f758c64f97f
- bootstrap_
servers list(object) - Kafka bootstrap. Equivalent of bootstrap.servers configuration property in Kafka: list of KafkaBootstrapServer objects specified by host/port. Used for establishing the initial connection to the Kafka cluster. Example:
"server1.example.com:9092,server2.example.com:9092" - catalogs list(object)
- Represents the catalog of given type used in an Iceberg connection.
- client_
id string - AZURE_DATA_LAKE_STORAGE: Azure client ID of the application. This property is required when 'authenticationType' is set to 'AZURE_ACTIVE_DIRECTORY'. e.g.: 06ecaabf-8b80-4ec8-a0ec-20cbf463703d
- DATABRICKS, DATABRICKS_ENGINE: OAuth client ID, applicable to OAUTH_M2M authentication.
- MICROSOFT_FABRIC: Azure client ID of the application. e.g.: 06ecaabf-8b80-4ec8-a0ec-20cbf463703d
- client_
secret string - client_
secret_ stringsecret_ id - AZURE_DATA_LAKE_STORAGE: The OCID of the Secret where the client secret is stored.
- DATABRICKS, DATABRICKS_ENGINE: The OCID of the Secret where the client secret is stored. Applicable to OAUTH_M2M authentication.
- MICROSOFT_FABRIC: The OCID of the Secret where the client secret is stored. Note: When provided, 'clientSecret' field must not be provided.
- cluster_
endpoint string - Spark master URL used for job submission. Required for both SUBMIT and REST submit modes. e.g.:
spark://spark-master.example.com:7077. High availability can be configured with a comma-separated list, for examplespark://h1.example.com:7077,h2.example.com:7077. - cluster_
id string - The OCID of the Kafka cluster being referenced from Oracle Cloud Infrastructure Streaming with Apache Kafka.
- cluster_
placement_ stringgroup_ id - The OCID(https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the cluster placement group for the resource. Only applicable for multicloud subscriptions. The cluster placement group id must be provided when a multicloud subscription id is provided. Otherwise the cluster placement group must not be provided.
- compartment_
id string - The OCID of the compartment being referenced.
- connection_
factory string - The of Java class implementing javax.jms.ConnectionFactory interface supplied by the Java Message Service provider. e.g.: 'com.stc.jmsjca.core.JConnectionFactoryXA'
- connection_
id string - connection_
string string - ORACLE: Connect descriptor or Easy Connect Naming method used to connect to a database.
- MONGODB: MongoDB connection string. e.g.: 'mongodb://mongodb0.example.com:27017/recordsrecords'
- AZURE_SYNAPSE_ANALYTICS: JDBC connection string. e.g.: 'jdbc:sqlserver://.sql.azuresynapse.net:1433;database=;encrypt=true;trustServerCertificate=false;hostNameInCertificate=*.sql.azuresynapse.net;loginTimeout=300;'
- connection_
type string - The connection type.
- connection_
url string - JAVA_MESSAGE_SERVICE: Connection URL of the Java Message Service, specifying the protocol, host, and port. e.g.: 'mq://myjms.host.domain:7676'
- SNOWFLAKE: JDBC connection URL. e.g.: 'jdbc:snowflake://<account_name>.snowflakecomputing.com/?warehouse=&db='
- AMAZON_REDSHIFT: Connection URL. e.g.: 'jdbc:redshift://aws-redshift-instance.aaaaaaaaaaaa.us-east-2.redshift.amazonaws.com:5439/mydb'
- DATABRICKS: Connection URL. e.g.: 'jdbc:databricks://adb-33934.4.azuredatabricks.net:443/default;transportMode=http;ssl=1;httpPath=sql/protocolv1/o/3393########44/0##3-7-hlrb'
- ORACLE_AI_DATA_PLATFORM: Connection URL. It must start with 'jdbc:spark://'
- consumer_
properties string - The base64 encoded content of the consumer.properties file.
- core_
site_ stringxml - The base64 encoded content of the Hadoop Distributed File System configuration file (core-site.xml). It is not included in GET responses if the
view=COMPACTquery parameter is specified. - database_
id string - The OCID of the database being referenced.
- database_
name string - The name of the database.
- db_
system_ stringid - The OCID of the database system being referenced.
- map(string)
- Tags defined for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - deployment_
id string - The OCID of the deployment being referenced.
- description string
- Metadata about this specific object.
- display_
name string - An object's Display Name.
- does_
use_ boolsecret_ ids - Indicates that sensitive attributes are provided via Secrets.
- endpoint string
- Oracle Cloud Infrastructure Object Storage S3 Compatibility API endpoint URL. Format: "https://.compat.objectstorage.." Example: "https://mynamespace.compat.objectstorage.us-ashburn-1.oraclecloud.com"
- fingerprint string
- Fingerprint required by TLS security protocol. Eg.: '6152b2dfbff200f973c5074a5b91d06ab3b472c07c09a1ea57bb7fd406cdce9c'
- map(string)
- A simple key-value pair that is applied without any predefined name, type, or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - host string
- The name or address of a host.
In case of Generic connection type it represents the Host and port separated by colon. Example:
"server.example.com:1234"For multiple hosts, provide a comma separated list. Example:"server1.example.com:1000,server1.example.com:2000" - id string
- The OCID of the connection being referenced.
- ingress_
ips list(object) - List of ingress IP addresses from where the GoldenGate deployment connects to this connection's privateIp. Customers may optionally set up ingress security rules to restrict traffic from these IP addresses.
- is_
lock_ booloverride - jndi_
connection_ stringfactory - The Connection Factory can be looked up using this name. e.g.: 'ConnectionFactory'
- jndi_
initial_ stringcontext_ factory - The implementation of javax.naming.spi.InitialContextFactory interface that the client uses to obtain initial naming context. e.g.: 'org.apache.activemq.jndi.ActiveMQInitialContextFactory'
- jndi_
provider_ stringurl - The URL that Java Message Service will use to contact the JNDI provider. e.g.: 'tcp://myjms.host.domain:61616?jms.prefetchPolicy.all=1000'
- jndi_
security_ stringcredentials - jndi_
security_ stringcredentials_ secret_ id - The OCID of the Secret where the security credentials are stored associated to the principal. Note: When provided, 'jndiSecurityCredentials' field must not be provided.
- jndi_
security_ stringprincipal - Specifies the identity of the principal (user) to be authenticated. e.g.: 'admin2'
- key_
id string - References the Oracle Cloud Infrastructure Vault key in the Oracle Cloud Infrastructure Vault identified by
vaultId. - key_
store string - key_
store_ stringpassword - key_
store_ stringpassword_ secret_ id - Secret OCID containing the key store password.
- SPARK: Applicable when
securityProtocolis TLS and a client key store is provided. Required whenkeyStoreSecretIdis provided. - JAVA_MESSAGE_SERVICE, KAFKA, KAFKA_SCHEMA_REGISTRY, REDIS: Password for the target connection's key store.
- SPARK: Applicable when
- key_
store_ stringsecret_ id - Secret OCID containing the key store content.
- SPARK: Applicable when
securityProtocolis TLS. - JAVA_MESSAGE_SERVICE, KAFKA, KAFKA_SCHEMA_REGISTRY, REDIS: Key store file used by the target connection.
- SPARK: Applicable when
- key_
store_ stringtype - Client key store format used for mutual TLS.
- lifecycle_
details string - Describes the object's current state in detail. For example, it can be used to provide actionable information for a resource in a Failed state.
- locks list(object)
- Locks associated with this resource.
- max_
input_ numberchars - Maximum number of input characters supported by this AI model connection.
- model_
key string - AI model identifier.
- nsg_
ids list(string) - An array of Network Security Group OCIDs used to define network access for either Deployments or Connections.
- password string
- password_
secret_ stringid - The OCID of the Secret where the password is stored. The password Oracle GoldenGate uses to connect the associated system of the given technology. It must conform to the specific security requirements including length, case sensitivity, and so on. Note: When provided, 'password' field must not be provided.
- port number
- The port of an endpoint usually specified for a connection.
- private_
ip string - This property is not available when creating connections. For existing deprecated connections having this value set, the value cannot be updated; set it to empty.
- private_
key_ stringfile - private_
key_ stringfile_ secret_ id - The OCID of the Secret that stores the content of the private key file (PEM file) corresponding to the API key of the fingerprint. See documentation: https://docs.oracle.com/en-us/iaas/Content/Identity/Tasks/managingcredentials.htm Note: When provided, 'privateKeyFile' field must not be provided.
- private_
key_ stringpassphrase - private_
key_ stringpassphrase_ secret_ id - The OCID of the Secret that stores the password for the private key file. Note: When provided, 'privateKeyPassphrase' field must not be provided.
- producer_
properties string - The base64 encoded content of the producer.properties file.
- provider_
id string - Optional identifier of the AI Provider Connection backing this AI Model Connection. When provided, it must reference an existing Active connection of type
AI_PROVIDER. WhenproviderIdis set,providerTypeandauthDetailsmust not be provided on the AI Model Connection, because provider metadata is resolved from the referenced AI Provider Connection. WhenproviderIdis not set, the AI Model Connection must provide inline provider metadata usingproviderTypeandauthDetails. - provider_
type string - AI Provider type used by the AI Model Connection.
- public_
key_ stringfingerprint - The fingerprint of the API Key of the user specified by the userId. See documentation: https://docs.oracle.com/en-us/iaas/Content/Identity/Tasks/managingcredentials.htm
- redis_
cluster_ stringid - The OCID of the Redis cluster.
- region string
- The AMAZON region where the S3 bucket is hosted. e.g.: 'us-east-2'
- rest_
auth_ stringsecret_ key - rest_
auth_ stringsecret_ key_ secret_ id - The OCID of the Secret that stores the REST submission signing key. Applicable only when submitMode is REST and the cluster enforces REST request signing. This setting is independent of authenticationType. Note: When provided, 'restAuthSecretKey' field must not be provided.
- rest_
endpoint string - Spark standalone REST submission base URL. e.g.: 'https://spark-master.example.com:6066' Applicable only and required when submitMode is REST.
- routing_
method string - Controls the network traffic direction to the target: SHARED_DEPLOYMENT_ENDPOINT: Network traffic flows from the assigned deployment's private endpoint through the deployment's subnet. DEDICATED_ENDPOINT: A dedicated private endpoint is created in the target VCN subnet for the connection. The subnetId is required when DEDICATED_ENDPOINT networking is selected. SHARED_SERVICE_ENDPOINT: Traffic flows through the Goldengate Service's network to public hosts. Cannot be used for private targets.
- rpc_
cipher string - Cipher transform used for Spark RPC encryption. Applicable when securityProtocol is AES_RPC.
- sas_
token string - sas_
token_ stringsecret_ id - The OCID of the Secret where the sas token is stored. Note: When provided, 'sasToken' field must not be provided.
- secret_
access_ stringkey - secret_
access_ stringkey_ secret_ id - The OCID of the Secret where the Secret Access Key used for Oracle Cloud Infrastructure Object Storage S3 Compatibility authentication.
- security_
attributes map(string) - Security attributes for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example:
{"Oracle-ZPR": {"MaxEgressCount": {"value": "42", "mode": "enforce"}}} - security_
protocol string - Security protocol; supported values depend on
connectionType.- SPARK: PLAINTEXT, TLS, AES_RPC, or SASL_ENCRYPTED. AES_RPC and SASL_ENCRYPTED require SHARED_SECRET authentication.
- Other connection types: Use the protocol supported by the target service.
- servers string
- Comma separated list of Elasticsearch server addresses, specified as host:port entries, where :port is optional. If port is not specified, it defaults to 9200. Used for establishing the initial connection to the Elasticsearch cluster. Example:
"server1.example.com:4000,server2.example.com:4000" - service_
account_ stringkey_ file - service_
account_ stringkey_ file_ secret_ id - The OCID of the Secret where the content of the service account key file is stored, which contains the credentials required to use Google Cloud Storage.
- session_
mode string - Specifies the session mode for the database connection. Use REDIRECT only for RAC databases with SCAN listeners that return IP addresses. For RAC databases with SCAN listeners that return FQDNs, and for all other Oracle database technologies, use DIRECT. In RAC deployments, SCAN listeners redirects a connection to a specific database node, identified by either IP address or FQDN. It is recommended to configure RAC with FQDN-based SCAN listeners.
- should_
use_ booljndi - If set to true, Java Naming and Directory Interface (JNDI) properties should be provided.
- should_
use_ boolresource_ principal - KAFKA: Specifies that the user intends to authenticate to the instance using a resource principal. Applicable only for Oracle Cloud Infrastructure Streaming connections. Only available from 23.9.0.0.0 GoldenGate versions. Note: When specified, 'username'/'password'/'passwordSecretId' fields must not be provided. Default: false
- OCI_OBJECT_STORAGE, ORACLE_AI_DATA_PLATFORM, ORACLE_NOSQL: Specifies that the user intends to authenticate to the instance using a resource principal. Default: false
- should_
validate_ boolserver_ certificate - If set to true, the driver validates the certificate that is sent by the database server.
- ssl_
ca string - MICROSOFT_SQLSERVER: Database Certificate - The base64 encoded content of a .pem or .crt file containing the server public key (for 1-way SSL).
- MYSQL: Database Certificate - The base64 encoded content of a .pem or .crt file containing the server public key (for 1 and 2-way SSL). It is not included in GET responses if the
view=COMPACTquery parameter is specified. - POSTGRESQL: The base64 encoded certificate of the trusted certificate authorities (Trusted CA) for PostgreSQL. The supported file formats are .pem and .crt. It is not included in GET responses if the
view=COMPACTquery parameter is specified.
- ssl_
cert string - MYSQL: Client Certificate - The base64 encoded content of a .pem or .crt file containing the client public key (for 2-way SSL). It is not included in GET responses if the
view=COMPACTquery parameter is specified. - POSTGRESQL: The base64 encoded certificate of the PostgreSQL server. The supported file formats are .pem and .crt. It is not included in GET responses if the
view=COMPACTquery parameter is specified.
- MYSQL: Client Certificate - The base64 encoded content of a .pem or .crt file containing the client public key (for 2-way SSL). It is not included in GET responses if the
- ssl_
client_ stringkeystash - ssl_
client_ stringkeystash_ secret_ id - The OCID of the Secret where the keystash file is stored, which contains the encrypted password to the key database file. This property is not supported for IBM Db2 for i, as client TLS mode is not available.
- ssl_
client_ stringkeystoredb - ssl_
client_ stringkeystoredb_ secret_ id - The OCID of the Secret where the keystore file stored, which created at the client containing the server certificate / CA root certificate. This property is not supported for IBM Db2 for i, as client TLS mode is not available.
- ssl_
crl string - The base64 encoded list of certificates revoked by the trusted certificate authorities (Trusted CA). Note: This is an optional property and only applicable if TLS/MTLS option is selected. It is not included in GET responses if the
view=COMPACTquery parameter is specified. - ssl_
key string - ssl_
key_ stringpassword - ssl_
key_ stringpassword_ secret_ id - Secret OCID containing the certificate private-key password inside the client key store.
- SPARK: Applicable when
securityProtocolis TLS and a client key store is provided. - JAVA_MESSAGE_SERVICE, KAFKA, KAFKA_SCHEMA_REGISTRY: Provide it when the private-key password differs from the key store password.
- SPARK: Applicable when
- ssl_
key_ stringsecret_ id - The OCID of the Secret that stores the Client Key
- The content of a .pem or .crt file containing the client private key (for 2-way SSL). Note: When provided, 'sslKey' field must not be provided.
- ssl_
mode string - SSL mode for PostgreSQL.
- ssl_
server_ stringcertificate - The base64 encoded file which contains the self-signed server certificate / Certificate Authority (CA) certificate. It is not included in GET responses if the
view=COMPACTquery parameter is specified. - state string
- Possible lifecycle states for connection.
- storage_
credential_ stringname - Optional. External storage credential name to access files on object storage such as ADLS Gen2, S3 or GCS.
- storages list(object)
- Represents the storage of given type used in an Iceberg connection.
- stream_
pool_ stringid - The OCID of the stream pool being referenced.
- submit_
mode string - Submission channel used to connect to Spark.
- subnet_
id string - The OCID of the target subnet of the dedicated connection.
- subscription_
id string - The OCID of the subscription with which resource needs to be associated with.
- map(string)
- The system tags associated with this resource, if any. The system tags are set by Oracle Cloud Infrastructure services. Each key is predefined and scoped to namespaces. For more information, see Resource Tags. Example:
{orcl-cloud: {free-tier-retain: true}} - technology_
type string - Technology type selected for the connection.
- AI_MODEL: AI Model technology type.
- AI_PROVIDER: AI Provider technology type.
- DATABRICKS_ENGINE: Databricks Engine technology type.
- ICEBERG: Iceberg technology type. APACHE_ICEBERG supports all catalog types; AMAZON_S3_TABLES supports only REST catalog and S3 storage.
- KAFKA_SCHEMA_REGISTRY: Kafka Schema Registry technology type.
- ORACLE_AI_DATA_PLATFORM_ENGINE: Oracle AI Data Platform Engine technology type.
- SPARK: Spark technology type.
- tenancy_
id string - The OCID of the related Oracle Cloud Infrastructure tenancy.
- tenant_
id string - Azure tenant ID of the application. e.g.: 14593954-d337-4a61-a364-9f758c64f97f
- time_
created string - The time the resource was created. The format is defined by RFC3339, such as
2016-08-25T21:10:29.600Z. - time_
updated string - The time the resource was last updated. The format is defined by RFC3339, such as
2016-08-25T21:10:29.600Z. - tls_
ca_ stringfile - Database Certificate - The base64 encoded content of a .pem file, containing the server public key (for 1 and 2-way SSL). It is not included in GET responses if the
view=COMPACTquery parameter is specified. - tls_
certificate_ stringkey_ file - tls_
certificate_ stringkey_ file_ password - tls_
certificate_ stringkey_ file_ password_ secret_ id - The OCID of the Secret that stores the password of the tls certificate key file. Note: When provided, 'tlsCertificateKeyFilePassword' field must not be provided.
- tls_
certificate_ stringkey_ file_ secret_ id - The OCID of the Secret that stores the certificate key file of the mtls connection.
- The content of a .pem file containing the client private key (for 2-way SSL). Note: When provided, 'tlsCertificateKeyFile' field must not be provided.
- tls_
protocol string - TLS protocol negotiated by the Spark client.
- trigger_
refresh bool - trust_
store string - trust_
store_ stringpassword - trust_
store_ stringpassword_ secret_ id - Secret OCID containing the trust store password.
- SPARK: Applicable when
securityProtocolis TLS and a trust store is provided. Required whentrustStoreSecretIdis provided. - JAVA_MESSAGE_SERVICE, KAFKA, KAFKA_SCHEMA_REGISTRY, REDIS: Password for the target connection's trust store.
- SPARK: Applicable when
- trust_
store_ stringsecret_ id - Secret OCID containing the trust store content.
- SPARK: Applicable when
securityProtocolis TLS. Provide it when the server certificate is not already trusted by the JVM. - JAVA_MESSAGE_SERVICE, KAFKA, KAFKA_SCHEMA_REGISTRY, REDIS: Trust store file used by the target connection.
- SPARK: Applicable when
- trust_
store_ stringtype - Trust store format used by the Spark client.
- url string
- Kafka Schema Registry URL. e.g.: 'https://server1.us.oracle.com:8081'
- user_
id string - OCI_OBJECT_STORAGE, ORACLE_AI_DATA_PLATFORM: The OCID of the Oracle Cloud Infrastructure user who accesses Object Storage. The user must have write access to the bucket. If omitted, the service defaults to the user calling the API.
- ORACLE_NOSQL: The OCID of the Oracle Cloud Infrastructure user who accesses the Oracle NoSQL database. The user must have write access to the table. If omitted, the service defaults to the user calling the API.
- username string
- The username Oracle GoldenGate uses to connect the associated system of the given technology. This username must already exist and be available by the system/application to be connected to and must conform to the case sensitivty requirments defined in it.
- vault_
id string - References the Oracle Cloud Infrastructure Vault that contains the customer-managed encryption key identified by
keyId. - wallet string
- wallet_
secret_ stringid - The OCID of the Secret where the wallet file is stored. The wallet contents Oracle GoldenGate uses to make connections to a database. Note: When provided, 'wallet' field must not be provided.
- workspace_
url string - DATABRICKS_ENGINE: Databricks workspace base URL for the REST API, for example
https://<workspace>.cloud.databricks.com/api/2.0/. - ORACLE_AI_DATA_PLATFORM_ENGINE: Oracle AI Data Platform workspace URL.
- DATABRICKS_ENGINE: Databricks workspace base URL for the REST API, for example
- access
Key StringId - Access Key ID from the Oracle Cloud Infrastructure IAM user's Customer Secret Key pair used to authenticate to Oracle Cloud Infrastructure Object Storage via the S3 Compatibility API.
- account
Key String - account
Key StringSecret Id - The OCID of the Secret where the account key is stored.
- account
Name String - Sets the Azure storage account name.
- additional
Attributes List<GetConnection Additional Attribute> - An array of name-value pair attribute entries. Used as additional parameters in connection string.
- artifact
Locations List<GetConnection Artifact Location> - Location used to share engine application artifacts.
- DATABRICKS_ENGINE: Location used to share Databricks application artifacts.
- SPARK: Location used to share Spark application artifacts with a remote cluster.
- auth
Details List<GetConnection Auth Detail> - Authentication details for an AI Model or AI Provider connection.
- auth
Secret String - auth
Secret StringSecret Id - The OCID of the Secret that stores the Spark authentication shared secret. Applicable when authenticationType is SHARED_SECRET. Note: When provided, 'authSecret' field must not be provided.
- auth
Token String - auth
Token StringSecret Id - The OCID of the Secret where the personal access token is stored. Only applicable for authenticationType == PERSONAL_ACCESS_TOKEN. Note: When provided, 'authToken' field must not be provided.
- authentication
Mode String - Authentication mode. It can be provided at creation of Oracle Autonomous Database Serverless connections, when a databaseId is provided. The default value is MTLS.
- authentication
Type String - Authentication mechanism; supported values depend on
connectionType.- DATABRICKS: Use PERSONAL_ACCESS_TOKEN or OAUTH_M2M.
- DATABRICKS_ENGINE: Use PERSONAL_ACCESS_TOKEN or OAUTH_M2M for the Databricks Engine REST API.
- JAVA_MESSAGE_SERVICE: Authentication type for Java Message Service. The default is NONE.
- SPARK: Use SHARED_SECRET only when the target cluster has
spark.authenticate=true. AES_RPC and SASL_ENCRYPTED require SHARED_SECRET. - AZURE_DATA_LAKE_STORAGE, ELASTICSEARCH, KAFKA_SCHEMA_REGISTRY, REDIS, SNOWFLAKE: Authentication type supported by the target service.
- String
- The endpoint used for authentication with Microsoft Entra ID (formerly Azure Active Directory). Default value: https://login.microsoftonline.com When connecting to a non-public Azure Cloud, the endpoint must be provided, eg:
- Azure China: https://login.chinacloudapi.cn/
- Azure US Government: https://login.microsoftonline.us/
- azure
Tenant StringId - Azure tenant ID of the application. This property is required when 'authenticationType' is set to 'AZURE_ACTIVE_DIRECTORY'. e.g.: 14593954-d337-4a61-a364-9f758c64f97f
- bootstrap
Servers List<GetConnection Bootstrap Server> - Kafka bootstrap. Equivalent of bootstrap.servers configuration property in Kafka: list of KafkaBootstrapServer objects specified by host/port. Used for establishing the initial connection to the Kafka cluster. Example:
"server1.example.com:9092,server2.example.com:9092" - catalogs
List<Get
Connection Catalog> - Represents the catalog of given type used in an Iceberg connection.
- client
Id String - AZURE_DATA_LAKE_STORAGE: Azure client ID of the application. This property is required when 'authenticationType' is set to 'AZURE_ACTIVE_DIRECTORY'. e.g.: 06ecaabf-8b80-4ec8-a0ec-20cbf463703d
- DATABRICKS, DATABRICKS_ENGINE: OAuth client ID, applicable to OAUTH_M2M authentication.
- MICROSOFT_FABRIC: Azure client ID of the application. e.g.: 06ecaabf-8b80-4ec8-a0ec-20cbf463703d
- client
Secret String - client
Secret StringSecret Id - AZURE_DATA_LAKE_STORAGE: The OCID of the Secret where the client secret is stored.
- DATABRICKS, DATABRICKS_ENGINE: The OCID of the Secret where the client secret is stored. Applicable to OAUTH_M2M authentication.
- MICROSOFT_FABRIC: The OCID of the Secret where the client secret is stored. Note: When provided, 'clientSecret' field must not be provided.
- cluster
Endpoint String - Spark master URL used for job submission. Required for both SUBMIT and REST submit modes. e.g.:
spark://spark-master.example.com:7077. High availability can be configured with a comma-separated list, for examplespark://h1.example.com:7077,h2.example.com:7077. - cluster
Id String - The OCID of the Kafka cluster being referenced from Oracle Cloud Infrastructure Streaming with Apache Kafka.
- cluster
Placement StringGroup Id - The OCID(https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the cluster placement group for the resource. Only applicable for multicloud subscriptions. The cluster placement group id must be provided when a multicloud subscription id is provided. Otherwise the cluster placement group must not be provided.
- compartment
Id String - The OCID of the compartment being referenced.
- connection
Factory String - The of Java class implementing javax.jms.ConnectionFactory interface supplied by the Java Message Service provider. e.g.: 'com.stc.jmsjca.core.JConnectionFactoryXA'
- connection
Id String - connection
String String - ORACLE: Connect descriptor or Easy Connect Naming method used to connect to a database.
- MONGODB: MongoDB connection string. e.g.: 'mongodb://mongodb0.example.com:27017/recordsrecords'
- AZURE_SYNAPSE_ANALYTICS: JDBC connection string. e.g.: 'jdbc:sqlserver://.sql.azuresynapse.net:1433;database=;encrypt=true;trustServerCertificate=false;hostNameInCertificate=*.sql.azuresynapse.net;loginTimeout=300;'
- connection
Type String - The connection type.
- connection
Url String - JAVA_MESSAGE_SERVICE: Connection URL of the Java Message Service, specifying the protocol, host, and port. e.g.: 'mq://myjms.host.domain:7676'
- SNOWFLAKE: JDBC connection URL. e.g.: 'jdbc:snowflake://<account_name>.snowflakecomputing.com/?warehouse=&db='
- AMAZON_REDSHIFT: Connection URL. e.g.: 'jdbc:redshift://aws-redshift-instance.aaaaaaaaaaaa.us-east-2.redshift.amazonaws.com:5439/mydb'
- DATABRICKS: Connection URL. e.g.: 'jdbc:databricks://adb-33934.4.azuredatabricks.net:443/default;transportMode=http;ssl=1;httpPath=sql/protocolv1/o/3393########44/0##3-7-hlrb'
- ORACLE_AI_DATA_PLATFORM: Connection URL. It must start with 'jdbc:spark://'
- consumer
Properties String - The base64 encoded content of the consumer.properties file.
- core
Site StringXml - The base64 encoded content of the Hadoop Distributed File System configuration file (core-site.xml). It is not included in GET responses if the
view=COMPACTquery parameter is specified. - database
Id String - The OCID of the database being referenced.
- database
Name String - The name of the database.
- db
System StringId - The OCID of the database system being referenced.
- Map<String,String>
- Tags defined for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - deployment
Id String - The OCID of the deployment being referenced.
- description String
- Metadata about this specific object.
- display
Name String - An object's Display Name.
- does
Use BooleanSecret Ids - Indicates that sensitive attributes are provided via Secrets.
- endpoint String
- Oracle Cloud Infrastructure Object Storage S3 Compatibility API endpoint URL. Format: "https://.compat.objectstorage.." Example: "https://mynamespace.compat.objectstorage.us-ashburn-1.oraclecloud.com"
- fingerprint String
- Fingerprint required by TLS security protocol. Eg.: '6152b2dfbff200f973c5074a5b91d06ab3b472c07c09a1ea57bb7fd406cdce9c'
- Map<String,String>
- A simple key-value pair that is applied without any predefined name, type, or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - host String
- The name or address of a host.
In case of Generic connection type it represents the Host and port separated by colon. Example:
"server.example.com:1234"For multiple hosts, provide a comma separated list. Example:"server1.example.com:1000,server1.example.com:2000" - id String
- The OCID of the connection being referenced.
- ingress
Ips List<GetConnection Ingress Ip> - List of ingress IP addresses from where the GoldenGate deployment connects to this connection's privateIp. Customers may optionally set up ingress security rules to restrict traffic from these IP addresses.
- is
Lock BooleanOverride - jndi
Connection StringFactory - The Connection Factory can be looked up using this name. e.g.: 'ConnectionFactory'
- jndi
Initial StringContext Factory - The implementation of javax.naming.spi.InitialContextFactory interface that the client uses to obtain initial naming context. e.g.: 'org.apache.activemq.jndi.ActiveMQInitialContextFactory'
- jndi
Provider StringUrl - The URL that Java Message Service will use to contact the JNDI provider. e.g.: 'tcp://myjms.host.domain:61616?jms.prefetchPolicy.all=1000'
- jndi
Security StringCredentials - jndi
Security StringCredentials Secret Id - The OCID of the Secret where the security credentials are stored associated to the principal. Note: When provided, 'jndiSecurityCredentials' field must not be provided.
- jndi
Security StringPrincipal - Specifies the identity of the principal (user) to be authenticated. e.g.: 'admin2'
- key
Id String - References the Oracle Cloud Infrastructure Vault key in the Oracle Cloud Infrastructure Vault identified by
vaultId. - key
Store String - key
Store StringPassword - key
Store StringPassword Secret Id - Secret OCID containing the key store password.
- SPARK: Applicable when
securityProtocolis TLS and a client key store is provided. Required whenkeyStoreSecretIdis provided. - JAVA_MESSAGE_SERVICE, KAFKA, KAFKA_SCHEMA_REGISTRY, REDIS: Password for the target connection's key store.
- SPARK: Applicable when
- key
Store StringSecret Id - Secret OCID containing the key store content.
- SPARK: Applicable when
securityProtocolis TLS. - JAVA_MESSAGE_SERVICE, KAFKA, KAFKA_SCHEMA_REGISTRY, REDIS: Key store file used by the target connection.
- SPARK: Applicable when
- key
Store StringType - Client key store format used for mutual TLS.
- lifecycle
Details String - Describes the object's current state in detail. For example, it can be used to provide actionable information for a resource in a Failed state.
- locks
List<Get
Connection Lock> - Locks associated with this resource.
- max
Input IntegerChars - Maximum number of input characters supported by this AI model connection.
- model
Key String - AI model identifier.
- nsg
Ids List<String> - An array of Network Security Group OCIDs used to define network access for either Deployments or Connections.
- password String
- password
Secret StringId - The OCID of the Secret where the password is stored. The password Oracle GoldenGate uses to connect the associated system of the given technology. It must conform to the specific security requirements including length, case sensitivity, and so on. Note: When provided, 'password' field must not be provided.
- port Integer
- The port of an endpoint usually specified for a connection.
- private
Ip String - This property is not available when creating connections. For existing deprecated connections having this value set, the value cannot be updated; set it to empty.
- private
Key StringFile - private
Key StringFile Secret Id - The OCID of the Secret that stores the content of the private key file (PEM file) corresponding to the API key of the fingerprint. See documentation: https://docs.oracle.com/en-us/iaas/Content/Identity/Tasks/managingcredentials.htm Note: When provided, 'privateKeyFile' field must not be provided.
- private
Key StringPassphrase - private
Key StringPassphrase Secret Id - The OCID of the Secret that stores the password for the private key file. Note: When provided, 'privateKeyPassphrase' field must not be provided.
- producer
Properties String - The base64 encoded content of the producer.properties file.
- provider
Id String - Optional identifier of the AI Provider Connection backing this AI Model Connection. When provided, it must reference an existing Active connection of type
AI_PROVIDER. WhenproviderIdis set,providerTypeandauthDetailsmust not be provided on the AI Model Connection, because provider metadata is resolved from the referenced AI Provider Connection. WhenproviderIdis not set, the AI Model Connection must provide inline provider metadata usingproviderTypeandauthDetails. - provider
Type String - AI Provider type used by the AI Model Connection.
- public
Key StringFingerprint - The fingerprint of the API Key of the user specified by the userId. See documentation: https://docs.oracle.com/en-us/iaas/Content/Identity/Tasks/managingcredentials.htm
- redis
Cluster StringId - The OCID of the Redis cluster.
- region String
- The AMAZON region where the S3 bucket is hosted. e.g.: 'us-east-2'
- rest
Auth StringSecret Key - rest
Auth StringSecret Key Secret Id - The OCID of the Secret that stores the REST submission signing key. Applicable only when submitMode is REST and the cluster enforces REST request signing. This setting is independent of authenticationType. Note: When provided, 'restAuthSecretKey' field must not be provided.
- rest
Endpoint String - Spark standalone REST submission base URL. e.g.: 'https://spark-master.example.com:6066' Applicable only and required when submitMode is REST.
- routing
Method String - Controls the network traffic direction to the target: SHARED_DEPLOYMENT_ENDPOINT: Network traffic flows from the assigned deployment's private endpoint through the deployment's subnet. DEDICATED_ENDPOINT: A dedicated private endpoint is created in the target VCN subnet for the connection. The subnetId is required when DEDICATED_ENDPOINT networking is selected. SHARED_SERVICE_ENDPOINT: Traffic flows through the Goldengate Service's network to public hosts. Cannot be used for private targets.
- rpc
Cipher String - Cipher transform used for Spark RPC encryption. Applicable when securityProtocol is AES_RPC.
- sas
Token String - sas
Token StringSecret Id - The OCID of the Secret where the sas token is stored. Note: When provided, 'sasToken' field must not be provided.
- secret
Access StringKey - secret
Access StringKey Secret Id - The OCID of the Secret where the Secret Access Key used for Oracle Cloud Infrastructure Object Storage S3 Compatibility authentication.
- security
Attributes Map<String,String> - Security attributes for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example:
{"Oracle-ZPR": {"MaxEgressCount": {"value": "42", "mode": "enforce"}}} - security
Protocol String - Security protocol; supported values depend on
connectionType.- SPARK: PLAINTEXT, TLS, AES_RPC, or SASL_ENCRYPTED. AES_RPC and SASL_ENCRYPTED require SHARED_SECRET authentication.
- Other connection types: Use the protocol supported by the target service.
- servers String
- Comma separated list of Elasticsearch server addresses, specified as host:port entries, where :port is optional. If port is not specified, it defaults to 9200. Used for establishing the initial connection to the Elasticsearch cluster. Example:
"server1.example.com:4000,server2.example.com:4000" - service
Account StringKey File - service
Account StringKey File Secret Id - The OCID of the Secret where the content of the service account key file is stored, which contains the credentials required to use Google Cloud Storage.
- session
Mode String - Specifies the session mode for the database connection. Use REDIRECT only for RAC databases with SCAN listeners that return IP addresses. For RAC databases with SCAN listeners that return FQDNs, and for all other Oracle database technologies, use DIRECT. In RAC deployments, SCAN listeners redirects a connection to a specific database node, identified by either IP address or FQDN. It is recommended to configure RAC with FQDN-based SCAN listeners.
- should
Use BooleanJndi - If set to true, Java Naming and Directory Interface (JNDI) properties should be provided.
- should
Use BooleanResource Principal - KAFKA: Specifies that the user intends to authenticate to the instance using a resource principal. Applicable only for Oracle Cloud Infrastructure Streaming connections. Only available from 23.9.0.0.0 GoldenGate versions. Note: When specified, 'username'/'password'/'passwordSecretId' fields must not be provided. Default: false
- OCI_OBJECT_STORAGE, ORACLE_AI_DATA_PLATFORM, ORACLE_NOSQL: Specifies that the user intends to authenticate to the instance using a resource principal. Default: false
- should
Validate BooleanServer Certificate - If set to true, the driver validates the certificate that is sent by the database server.
- ssl
Ca String - MICROSOFT_SQLSERVER: Database Certificate - The base64 encoded content of a .pem or .crt file containing the server public key (for 1-way SSL).
- MYSQL: Database Certificate - The base64 encoded content of a .pem or .crt file containing the server public key (for 1 and 2-way SSL). It is not included in GET responses if the
view=COMPACTquery parameter is specified. - POSTGRESQL: The base64 encoded certificate of the trusted certificate authorities (Trusted CA) for PostgreSQL. The supported file formats are .pem and .crt. It is not included in GET responses if the
view=COMPACTquery parameter is specified.
- ssl
Cert String - MYSQL: Client Certificate - The base64 encoded content of a .pem or .crt file containing the client public key (for 2-way SSL). It is not included in GET responses if the
view=COMPACTquery parameter is specified. - POSTGRESQL: The base64 encoded certificate of the PostgreSQL server. The supported file formats are .pem and .crt. It is not included in GET responses if the
view=COMPACTquery parameter is specified.
- MYSQL: Client Certificate - The base64 encoded content of a .pem or .crt file containing the client public key (for 2-way SSL). It is not included in GET responses if the
- ssl
Client StringKeystash - ssl
Client StringKeystash Secret Id - The OCID of the Secret where the keystash file is stored, which contains the encrypted password to the key database file. This property is not supported for IBM Db2 for i, as client TLS mode is not available.
- ssl
Client StringKeystoredb - ssl
Client StringKeystoredb Secret Id - The OCID of the Secret where the keystore file stored, which created at the client containing the server certificate / CA root certificate. This property is not supported for IBM Db2 for i, as client TLS mode is not available.
- ssl
Crl String - The base64 encoded list of certificates revoked by the trusted certificate authorities (Trusted CA). Note: This is an optional property and only applicable if TLS/MTLS option is selected. It is not included in GET responses if the
view=COMPACTquery parameter is specified. - ssl
Key String - ssl
Key StringPassword - ssl
Key StringPassword Secret Id - Secret OCID containing the certificate private-key password inside the client key store.
- SPARK: Applicable when
securityProtocolis TLS and a client key store is provided. - JAVA_MESSAGE_SERVICE, KAFKA, KAFKA_SCHEMA_REGISTRY: Provide it when the private-key password differs from the key store password.
- SPARK: Applicable when
- ssl
Key StringSecret Id - The OCID of the Secret that stores the Client Key
- The content of a .pem or .crt file containing the client private key (for 2-way SSL). Note: When provided, 'sslKey' field must not be provided.
- ssl
Mode String - SSL mode for PostgreSQL.
- ssl
Server StringCertificate - The base64 encoded file which contains the self-signed server certificate / Certificate Authority (CA) certificate. It is not included in GET responses if the
view=COMPACTquery parameter is specified. - state String
- Possible lifecycle states for connection.
- storage
Credential StringName - Optional. External storage credential name to access files on object storage such as ADLS Gen2, S3 or GCS.
- storages
List<Get
Connection Storage> - Represents the storage of given type used in an Iceberg connection.
- stream
Pool StringId - The OCID of the stream pool being referenced.
- submit
Mode String - Submission channel used to connect to Spark.
- subnet
Id String - The OCID of the target subnet of the dedicated connection.
- subscription
Id String - The OCID of the subscription with which resource needs to be associated with.
- Map<String,String>
- The system tags associated with this resource, if any. The system tags are set by Oracle Cloud Infrastructure services. Each key is predefined and scoped to namespaces. For more information, see Resource Tags. Example:
{orcl-cloud: {free-tier-retain: true}} - technology
Type String - Technology type selected for the connection.
- AI_MODEL: AI Model technology type.
- AI_PROVIDER: AI Provider technology type.
- DATABRICKS_ENGINE: Databricks Engine technology type.
[...]
